Please login or register to access secure site features.

Note: By continuing to use DevConnect Program Services you agree to our latest Registered Member Terms.

Sign in using DevConnect ID

Forgot password?

Trouble logging in?

Submit a ticket for Registration Support.

I have an SSO ID

?
sign in

Don't have a DevConnect or SSO ID ?

Create a DevConnect account or join the program.

register now
^
Forum Index » Avaya Orchestration Designer » Proactive Outreach Manager: POM application returned null while getting contact information   XML
 
Author Message
MagdalenaCenteno



Joined: 06/01/2014 16:07:15
Messages: 5
Offline

Hi team

we have a customer running pom application with OD 07.22.10.04 and POM PDC 3.01.03.017. Several times during the day we are seeing an error "Error While Getting Contact Info"

02/03/2021 08:32:34:716 DEBUG - FE97820CA1C1A8F62F228142D4A353A1:/pomprompt_app : Invoking WebService Method GetContactInfo with ContactID: 20210302-01-101323840-PP3SMBAL and Primary Pom Server: XX.XX.XX.XX
02/03/2021 08:32:34:716 DEBUG - FE97820CA1C1A8F62F228142D4A353A1:/pomprompt_app : Start - GetContactDataFromList - Client. Time is 02 Mar 21 8:32:34:716
02/03/2021 08:32:34:845 ERROR - FE97820CA1C1A8F62F228142D4A353A1:/pomprompt_app : Error While Getting Contact Info: null
02/03/2021 08:32:34:845 INFO - FE97820CA1C1A8F62F228142D4A353A1:/pomprompt_app : Completed IPluggableExecutable com.avaya.sce.pdc.pim.ui.DataConnector


We have checked the MPP logs and POM Logs and everything looks good. POM logs show that the information is sent after it is required by our application.


02 Mar 2021 08:32:34,731 [ajp-nio-127.0.0.1-3009-exec-141] FINEST - ContactBO.getContactObject:1654 - Entering getContactObject
02 Mar 2021 08:32:34,731 [ajp-nio-127.0.0.1-3009-exec-141] FINER - ContactBO.getContactObject:1655 - User contactId.ATTR=20210302-01-101323840-PP3SMBAL, contact list=RCPS_EO_BLAST
.....
02 Mar 2021 08:32:34,843 [ajp-nio-127.0.0.1-3009-exec-141] FINEST - AgentAPIImpl.getContactD
ataFromList:1536 - value of attribute GWRKPH_tz_int.ATTR=-21600000
02 Mar 2021 08:32:34,843 [ajp-nio-127.0.0.1-3009-exec-141] FINEST - AgentAPIImpl.getContactD
ataFromList:1537 - atttribute type=INTEGER
02 Mar 2021 08:32:34,843 [ajp-nio-127.0.0.1-3009-exec-141] FINEST - AgentAPIImpl.getContactD
ataFromList:1550 - End - Time is 02 Mar 21 8:32:34:843


Is there any way to enable debug mode the same as we do with the aesconnector for example? Any ideas how to troubleshoot it inside the pdc?

Thank you
WilsonYu



Joined: 06/11/2013 14:29:24
Messages: 3796
Offline

As I stated in the email, you would need to contact the POM team on the PDC.
massimo__croci



Joined: 31/01/2020 10:42:28
Messages: 82
Offline

Take a look at logs after 02/03/2021 08:32:34:845. Any error message?

MagdalenaCenteno



Joined: 06/01/2014 16:07:15
Messages: 5
Offline

No, there are no errors and that's also the problem. For the good ones and the bad ones, on the POM server side, logs are the same. We think there is an issue with the POM PDC but we cannot reach the dev team for it. Should I put this issue in the POM forum directly? Are they the ones responsible for the PDC?

One member of our team took a look inside the PDC code, below his comments:

"Today I looked inside the PDC code and based on available logs I know that a NullPointerException (NPE) comes from an AgentAPIClient class inside AgentAPI.jar (used by POM PDC), but I can’t say exactly where and why this is being thrown.

The reason for that is because this AgentAPIClient class receives a NPE and before throwing it upwards, it creates a new Exception object and sets only the error message from the original NPE, losing the stack trace in the process.

JAR AgentAPI.jar - Class AgentAPIClient - Method GetContactDataFromList
catch (Exception e2) // catching the NPE
{
GetContactDataFromListFault obj = new GetContactDataFromListFault(); // creating the new Exception object
VP_POMAgentAPIServiceStub.GetContactDataFromListFaultInfo objInfo = new VP_POMAgentAPIServiceStub.GetContactDataFromListFaultInfo();

Log(e2.getMessage()); // logging only the exception message: NullPointerException
objInfo.setFaultMsg(e2.getMessage());// setting only the exception message into the new Exception, losing the stack trace
objInfo.setRetCode(-7);

obj.setFaultMessage(objInfo);

throw obj; // throwing the new Exception upwards
}


** The PDC class then receives an exception and prints the stack trace (which is empty):

JAR pomDataConnector.jar - Class GetContactInfoImpl – Method execute
catch (Exception e) {
if ((mySession != null) && (mySession.isTraceEnabled()))
{
ITraceInfo tr = mySession.getTraceOutput();
tr.writeln(4, "Error While Getting Contact Info: " + e.getMessage());// this I can see in the logs, it’s ‘null’
}
e.printStackTrace(); //there’s no stack trace in this new Exception, so I can’t see anything here
}



Do you know who from the POM team can assist us with the PDC and AgentAPI libraries?

The way things are now we don’t have the stack trace of the error to identify where in the code it’s throwing a NullPointerException.

We need a fix on these libs so we have more information in the logs and also to classify the good and the bad calls.

 
 
Go to: